> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rallyuxr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get consent submission export status

> Returns the status of a consent submission export job.

When the status is `COMPLETED`, the response includes a `downloadUrl` which is a pre-signed S3 URL that can be used to download the ZIP file directly via a GET request.

The URL expires after 5 minutes. Request a new export status to get a fresh URL if needed.



## OpenAPI

````yaml https://api.rallyuxr.com/api/openapi get /studies/{studyId}/consent-submissions/export/{exportId}
openapi: 3.1.0
info:
  title: Rally UXR Developer Docs
  version: '1.0'
servers:
  - url: https://api.rallyuxr.com/api/public/v1
security:
  - bearerAuth: []
tags:
  - name: Forms
    description: Operations on Forms in your workspace
  - name: People
    description: Operations on Person's stored in your workspace
  - name: Person Properties
    description: Operations on workspace level Person Properties
  - name: Populations
    description: Operations on Populations in your workspace
  - name: Segments
    description: Operations on Segments in your workspace
  - name: Studies
    description: Operations on Studies in your workspace
  - name: Participants
    description: Operations on Participants in studies
  - name: Screener
    description: Operations on a study's screener
  - name: Consent Submissions
    description: Operations on Consent Submissions for studies
  - name: Incentives
    description: Operations on Incentives in your workspace
  - name: Messages
    description: Operations on Message activities in your workspace
  - name: Imports
    description: Operations on Imports in your workspace
  - name: Users
    description: Operations on Workspace Users
  - name: Teams
    description: Operations on Teams in your workspace
  - name: Backfills
    description: >-
      Routes that can be used to backfill data into Rally. If you'd like access
      to these apis, please reach out to your Customer Success rep
  - name: Person
    description: Deprecated, use People
paths:
  /studies/{studyId}/consent-submissions/export/{exportId}:
    get:
      tags:
        - Consent Submissions
      summary: Get consent submission export status
      description: >-
        Returns the status of a consent submission export job.


        When the status is `COMPLETED`, the response includes a `downloadUrl`
        which is a pre-signed S3 URL that can be used to download the ZIP file
        directly via a GET request.


        The URL expires after 5 minutes. Request a new export status to get a
        fresh URL if needed.
      parameters:
        - schema:
            type: string
            description: The study ID
          required: true
          description: The study ID
          name: studyId
          in: path
        - schema:
            type: string
            description: The export ID
          required: true
          description: The export ID
          name: exportId
          in: path
      responses:
        '200':
          description: Export status retrieved successfully
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            application/json:
              schema:
                type: object
                properties:
                  exportId:
                    type: string
                    description: The export ID
                  status:
                    type: string
                    enum:
                      - NOT_STARTED
                      - EXPORTING
                      - COMPLETED
                      - ERROR
                    description: The current status of the export
                  processedCount:
                    type: number
                    description: Number of consent submissions processed so far
                  totalCount:
                    type: number
                    description: Total number of consent submissions to export
                  downloadUrl:
                    type: string
                    description: >-
                      Pre-signed S3 URL to download the ZIP file. Expires after
                      5 minutes. Only present when status is COMPLETED.
                  createdAt:
                    type: string
                    description: When the export was created
                  updatedAt:
                    type: string
                    description: When the export was last updated
                required:
                  - exportId
                  - status
                  - processedCount
                  - totalCount
                  - createdAt
                  - updatedAt
        '401':
          description: Unauthorized
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Unauthorized
        '403':
          description: Forbidden
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Forbidden
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                type: string
                example: '{Resource} not found'
        '429':
          description: Too Many Requests
          headers:
            Retry-After:
              $ref: '#/components/headers/Retry-After'
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Too Many Requests
        '500':
          description: Internal Server Error
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Internal Server Error
      security:
        - bearerAuth: []
components:
  headers:
    X-RateLimit-Limit:
      description: The maximum number of requests the client is allowed to make.
      schema:
        type: integer
        format: int32
    X-RateLimit-Remaining:
      description: >-
        The number of requests remaining for the client in the current time
        window.
      schema:
        type: integer
        format: int32
    X-RateLimit-Reset:
      description: >-
        The time at which the current time window ends (in Unix timestamp
        format).
      schema:
        type: integer
        format: int32
    Retry-After:
      description: The number of seconds until the client should retry the request.
      schema:
        type: integer
        format: int32
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````